org.springframework.scripting

## Interface ScriptSource

All Known Implementing Classes:
  ResourceScriptSource, StaticScriptSource

    public interface ScriptSource

Interface that defines the source of a script. Tracks whether the underlying script has been modified.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller

### Method Summary

Methods
`String` `getScriptAsString()` Retrieve the current script source text as String.
`boolean` `isModified()` Indicate whether the underlying script data has been modified since the last time `getScriptAsString()` was called.
`String` `suggestedClassName()` Determine a class name for the underlying script.

### Method Detail

#### getScriptAsString

    String getScriptAsString()
                             throws IOException

Retrieve the current script source text as String.

Returns:
  the script text
Throws:
  `IOException` - if script retrieval failed

#### isModified

    boolean isModified()

Indicate whether the underlying script data has been modified since the last time `getScriptAsString()` was called. Returns `true` if the script has not been read yet.

Returns:
  whether the script data has been modified

#### suggestedClassName

    String suggestedClassName()

Determine a class name for the underlying script.

Returns:
  the suggested class name, or `null` if none available